# Class SpeciesFormChangeActiveTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeActiveTrigger

- Defined in src/data/pokemon-forms.ts:234

#####
Index

### Constructors

constructor

### Properties

active

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeActiveTrigger(active?): SpeciesFormChangeActiveTrigger

- #### Parameters

  - active: boolean = false

  #### Returns SpeciesFormChangeActiveTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:237

## Properties

### active

active: boolean

- Defined in src/data/pokemon-forms.ts:235

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:242

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173